GET /apischema/{uuid}

GET /apischema/{uuid}

/apischema/{uuid}/{uuid}

Request
URI
GET
https://{api_host}/api/apischema/{uuid}
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Query Parameters
string
name
Optional

object name

string
fields
Optional

List of fields to be returned for the resource. Some fields like name, URL, uuid etc. are always returned.

boolean
include_name
Optional

All the Avi REST reference URIs have a name suffix as URI#name. It is useful to get the referenced resource name without performing get on that object.

boolean
skip_default
Optional

Default values are not set.

string
join_subresources
Optional

It automatically returns additional dependent resources like runtime. Eg. join_subresources=runtime.

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ApiSchema of type(s) application/json
{
    "_last_modified": "string",
    "additional_object_key_action": "string",
    "additional_properties_schema": {
        "max_value": "number",
        "min_value": "number",
        "schema_ref": "string",
        "string_enum_values": [
            "string"
        ],
        "string_format": "string",
        "string_max_length": 0,
        "string_min_length": 0,
        "string_pattern": "string",
        "type": "string"
    },
    "allow_additional_properties": false,
    "array_item_type": {
        "max_value": "number",
        "min_value": "number",
        "schema_ref": "string",
        "string_enum_values": [
            "string"
        ],
        "string_format": "string",
        "string_max_length": 0,
        "string_min_length": 0,
        "string_pattern": "string",
        "type": "string"
    },
    "composite_types": [
        {
            "max_value": "number",
            "min_value": "number",
            "schema_ref": "string",
            "string_enum_values": [
                "string"
            ],
            "string_format": "string",
            "string_max_length": 0,
            "string_min_length": 0,
            "string_pattern": "string",
            "type": "string"
        }
    ],
    "description": "string",
    "discriminator": {
        "mapping": [
            {
                "discriminator_key": "string",
                "schema_ref": "string"
            }
        ],
        "property_name": "string"
    },
    "max_items": 0,
    "min_items": 0,
    "name": "string",
    "object_properties": [
        {
            "access_mode": "string",
            "deprecated": false,
            "name": "string",
            "nullable": false,
            "required": false,
            "schema": {
                "max_value": "number",
                "min_value": "number",
                "schema_ref": "string",
                "string_enum_values": [
                    "string"
                ],
                "string_format": "string",
                "string_max_length": 0,
                "string_min_length": 0,
                "string_pattern": "string",
                "type": "string"
            }
        }
    ],
    "source": "string",
    "tenant_ref": "string",
    "type": "string",
    "unique_items": false,
    "url": "string",
    "uuid": "string"
}
string
_last_modified
Read-Only  

UNIX time since epoch in microseconds. Units(MICROSECONDS).

string
additional_object_key_action
Optional
Constraints: default: API_ACTION_INHERIT_FROM_API_POLICY

Action to take on unspecified keys in an object. Enum options - API_ACTION_INHERIT_FROM_API_POLICY, API_ACTION_PASS, API_ACTION_FLAG, API_ACTION_REJECT. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
additional_properties_schema
Optional

Schema specification for scalar types, arrays, or schema references, defining data types and validation constraints for non-object properties.

boolean
allow_additional_properties
Optional

When true, object keys not defined in object_properties are permitted. Corresponds to OpenAPI additionalProperties true. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
array_item_type
Optional

Schema specification for scalar types, arrays, or schema references, defining data types and validation constraints for non-object properties.

array of object
composite_types
Optional

Sub-schemas for this composite type (oneOf, anyOf, or allOf). Each entry must be a SCHEMA_TYPE_REFERENCE pointing to an ApiSchema. Field introduced in 32.1.4. Maximum of 64 items allowed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
description
Optional

Description of this API schema. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
discriminator
Optional

Discriminator configuration used within composite schemas (oneOf/anyOf) to select the matching sub-schema based on payload property values.

integer As uint32 As uint32
max_items
Optional

Maximum number of items allowed in an array. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
min_items
Optional

Minimum number of items allowed in an array. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
name
Required  

Name of this object, unique per Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
object_properties
Optional

List of properties for this object schema. Field introduced in 32.1.4. Maximum of 512 items allowed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
source
Read-Only  
Constraints: default: SOURCE_USER_DEFINED

Indicates whether this schema was user-defined or imported from an OpenAPI specification file. Enum options - SOURCE_USER_DEFINED, SOURCE_API_SPEC, SOURCE_DISCOVERED. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
tenant_ref
Optional

It is a reference to an object of type Tenant. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
type
Required  

The data type of this schema. Can be object, array, or a composite type (oneOf, anyOf, allOf). Enum options - SCHEMA_TYPE_UNDEFINED, SCHEMA_TYPE_STRING, SCHEMA_TYPE_INTEGER, SCHEMA_TYPE_NUMBER, SCHEMA_TYPE_BOOLEAN, SCHEMA_TYPE_NULL, SCHEMA_TYPE_ARRAY, SCHEMA_TYPE_OBJECT, SCHEMA_TYPE_REFERENCE, SCHEMA_TYPE_ONE_OF, SCHEMA_TYPE_ALL_OF, SCHEMA_TYPE_ANY_OF. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
unique_items
Optional

If true, all items in the array must be unique. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
url
Read-Only  

url

string
uuid
Optional

The object UUID. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/apischema/{uuid}